Subject: RE: Support for draft-kompella-ppvpn-vpls-01.txt

From: Mourad BERKANE <[email-masked]>
Date: Tue, 29 Apr 2003 14:42:14 +0200

Hi Jeremy,

LDP is not used as a signaling protocol for IPv4, IPv6 or rfc2547bis :-)

BGP is in charge of it (and do the job very well).

May be this will clarify all theses exchanges about signalling in VPLS:
adding a new signaling protocol (LDP) whitout any added value versus keeping
the same signalling protocol (BGP) for differents services
(IP,rfc2547bis,VPLS, futures needs)

You may confuse MPLS signaling (LDP or RSVP) and and VPLS signaling (LDP or
BGP)?

Mourad

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]]
Envoyé : mardi 29 avril 2003 14:19
À : Mourad BERKANE
Cc : [email-masked]'; [email-masked];
[email-masked]; [email-masked]
Objet : Re: Support for draft-kompella-ppvpn-vpls-01.txt

Mourad,

> As you hinted here, MP-BGP is much more designed for a *public*
> inter-AS session for VPLS.

I still don't understand why MP-BGP is more appropriate than LDP for
this application. I probably need more than a "hint" to fully understand
it ;-)

> Even if LDP/RSVP already present for the forwarding plane inside a
> MPLS domain, why should i used LDP for VPLS signalling when BGP
> already do the job (IPv4,v6,rfc2547bis,...)???

You can turn this around: Even if BGP is already present for 2547bis,
v4, v6 etc, why should I use BGP for VPLS signaling when LDP already
does the job (LDP for intra-AS tunnel LSPs, LDP for individual PWE3
Pseudo-Wires, ...) ?

[I guess the answer to both of the above questions is given in the large
number of previous emails on this topic ;-)]

Jeremy.

> Mourad
> 
> -----Message d'origine-----
> De : Robert Raszuk [mailto:[email-masked]]
> Envoyé : mardi 29 avril 2003 11:26
> À : [email-masked]
> Cc : [email-masked]; [email-masked]
> Objet : Re: Support for draft-kompella-ppvpn-vpls-01.txt
> 
> Andres,
> 
> AFAIK there is no need to configure anything rather then a site
> interface on the PEs. Autodiscovery will detect new addition and
> propagate the news to all participants. Then in the lasserre-vkompella
> 
> scheme directed LDP if not already set get's automatically established
> 
> between parties.
> 
> Of course the drawback here is that you need to keep LDP ports open
> wide
> within inter-AS LDP src ranges which may or may not be an acceptable
> issue :-).
> 
> R.
> 
> > [email-masked] wrote:
> >
> > Hi Eric
> >
> > As I understand it a requirement would be to have a full mesh of LDP
> 
> > sessions between the PEs in the participating AS domains. This means
> 
> > configuration of each PE when for example a new site is added to an
> > already existing VPN. If BGP is used this is not necessary as RRs
> can be
> > used, minimizing the configuration to the new PE and the RR.
> > But perhaps there exist a solution similar to this for LDP as well?
> It
> > seems appealing to reuse the 2547bis structure we have also for VPLS
> if
> > it's possible.
> >
> > My point is that further investigation of the two different
> solutions
> > before rejecting one or the other would be good
> >
> > /Andreas
> >
> > -----Original Message-----
> > From: Eric Rosen [mailto:[email-masked]]
> > Sent: den 28 april 2003 16:29
> > To: Mattsson, Andreas A. /Research /08-713 81 86, 070-618 67 67
> > Cc: [email-masked]
> > Subject: Re: Support for draft-kompella-ppvpn-vpls-01.txt
> >
> > Andreas> I would  also like to  know how inter-AS  with the LDP
> > Andreas> approach in lasserre-vkompella is to be solved.
> >
> > Could you say what the issue is that you think needs to be solved?

---

From: [email-masked]
Date: Tue, 29 Apr 2003 15:03:22 +0200

Hi Mourad,

> BGP is in charge of it (and do the job very well).

BGP distributes routes, it doesn't establish Pseudo-Wires in the
examples you give.

> May be this will clarify all theses exchanges about signalling in
> VPLS: adding a new signaling protocol (LDP) whitout any added value
> versus keeping the same signalling protocol (BGP) for differents
> services (IP,rfc2547bis,VPLS, futures needs)
> 
> You may confuse MPLS signaling (LDP or RSVP) and and VPLS signaling
> (LDP or BGP)?

I'm sure I was not confused by the above ;-)

What I meant was that LDP is used for pseudo-wire signaling
(http://www.ietf.org/html.charters/pwe3-charter.html, "Pseudo-Wire Setup
and Maintenance using LDP"), and that VPLS uses pseudo-wires.

So arguments that say "BGP because it is also used for X" or "LDP
because it is also used for Y" are not convincing enough for me, as
you'll have BGP in some environments (2547) and LDP in other
environments (PWE3) and LDP + BGP in many environments ;-)

What I really wanted to know is what the difference is for inter-AS
applications, as this seems to be one of the *technical* arguments.

Jeremy.